/*
 * @(#)DBDataSimpleEncoder.java	1.7 96/11/10 Scott Atwood, Jongyoon Lee
 *
 * Copyright (c) 1995 Sun Microsystems, Inc.  All Rights reserved
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file copyright.html
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

import java.servlet.ServletOutputStream;

/**
 * DBDataSimpleEncoder
 * Sends everything in String.  Works well if the data is in text format only.
 * 
 * @author   Scott Atwood
 * @author   Jongyoon Lee
 * @version  1.7, 11/10/96
 */

public class DBDataSimpleEncoder extends DBDataEncoder {


    public DBDataSimpleEncoder(ServletOutputStream out) {
	super(out);
    }

    public boolean write(Object obj) {
	try {
	    out.println(obj.toString());
	} catch (Exception e) {
	    return false;
	}
	return true;
    }

    public void sendVersionInfo() {
	try {
	    out.println("SimpleEncoder V 1.0");
	} catch (Exception e) {}
    }
}

